VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto Class Reference

`Snmp.SNMPPrivProto` enumerated type Defines SNMP privacy protocols More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, AES128, none }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SNMPPrivProto[] | GetValues ()
static SNMPPrivProto | ValueOf (string name)
## Static Public Attributes
static readonly SNMPPrivProto | AES128 = new SNMPPrivProto("AES128", Values.AES128)
| AES128.
static readonly SNMPPrivProto | none = new SNMPPrivProto("none", Values.none)
| NONE.

## Detailed Description

`Snmp.SNMPPrivProto` enumerated type Defines SNMP privacy protocols

## Member Enumeration Documentation

enum vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  AES128 | AES128.
  none | NONE.

## Member Function Documentation

Values vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::GetEnumValue | ( |  | ) | `[inline]`

static SNMPPrivProto [] vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::IsUnknown | ( |  | ) | `[inline]`

static SNMPPrivProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SNMPPrivProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::AES128 = new SNMPPrivProto("AES128", Values.AES128)`[static]`

AES128.

readonly SNMPPrivProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPPrivProto::none = new SNMPPrivProto("none", Values.none)`[static]`

NONE.

The documentation for this class was generated from the following file:

- SnmpTypes.cs